* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  -webkit-user-select: none;
  /* Safari */
  -ms-user-select: none;
  /* IE 10 and IE 11 */
  user-select: none;
  /* Standard syntax */
  font-family: "Raleway", sans-serif;
}

:root {
  --color_backdark: #111111;
  --color_backdarkTwo: #222222;
  --color_backmedium: #2e2e2e;
  --color_backlight: #8f8f8f;
  --color_secondback: #282b41;
  --color_deactivated: #735F32;
  --color_activated: #C69749;
  --color_font: #f8f8f8;
  --font_Display: "DotGothic16", sans-serif;
  --font-General: "Raleway", sans-serif;
}

body {
  background: var(--color_backmedium);
  font-size: 62.5%;
  font-family: var(--font-General);
}

/* Media Queries Mixin
**********************/
body {
  overflow: hidden;
}

.main {
  position: relative;
  overflow: hidden;
}
.main__image {
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: url("../images/background.jpg");
  backdrop-filter: opacity(0.1);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  z-index: -1;
  opacity: 0.55;
  filter: brightness(40%);
}

:root {
  touch-action: pan-x pan-y;
  height: 100%;
}

.header {
  position: relative;
  width: 100%;
  height: 5rem;
  padding: 1.7rem 0 2rem 3.1rem;
  background: linear-gradient(90deg, #00000077, #00000099);
}
.header__title {
  margin-top: 0;
  margin-bottom: 0px;
  color: #e2f536;
  font-size: 1.5rem;
  z-index: 2;
}
.header__howtoplay {
  position: absolute;
  bottom: 0;
  right: 0.5rem;
  padding: 0.2rem 0.6rem;
  background-color: #1d3453;
  border: 1px solid #FFFFFF55;
  border-radius: 0.15rem;
  color: #ffffff;
  transition: all 0.3s;
  cursor: pointer;
}
.header__howtoplay:hover {
  background-color: #284d7e;
  border-color: #FFFFFFcc;
}
.header__window {
  position: absolute;
  display: none;
  align-items: center;
  justify-content: center;
  right: 0;
  bottom: calc(-97vh + 5rem);
  width: 100%;
  height: calc(97vh - 5rem);
  background-color: #83828255;
  border: 1px solid #FFFFFFaa;
  backdrop-filter: blur(5px);
  z-index: 2;
}
.header__message {
  background-color: #0e141ddd;
  padding: 1.5rem;
  border-radius: 0.3rem;
  border: 1px solid #c5c5c588;
}
.header__list {
  list-style-type: circle;
  color: #ececec;
  font-size: 1rem;
  padding: 0.5rem 0.5rem;
}
.header__list--title {
  list-style: none;
  text-align: center;
  color: #66a0eb;
}
.header__ball {
  position: absolute;
  opacity: 0.4;
  z-index: 1;
}
.header__ballone {
  right: 30%;
  top: 1rem;
}
.header__balltwo {
  left: 1rem;
  top: 0;
}
.header__ballthree {
  left: 30%;
  bottom: 0;
}
.header__ballfour {
  right: 1rem;
  top: 0;
}
.header__shooter {
  position: absolute;
  width: 3.5rem;
  left: 9.5rem;
  top: 1rem;
  z-index: 1;
  opacity: 0.2;
}

.scoreboard {
  display: grid;
  grid-auto-flow: column;
  grid-template-columns: repeat(7, 1fr);
  grid-template-rows: 4vw;
  align-items: center;
  align-content: center;
  width: 100%;
  background-color: #111111;
  color: var(--color_font);
  font-size: 1.5vw;
}
@media (max-width: 700px) {
  .scoreboard {
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(2, 1fr);
    align-items: center;
    justify-content: center;
    font-size: 0.5rem;
    padding: 0.25rem;
    gap: 0.2rem;
  }
}
@media (max-width: 700px) {
  .scoreboard p {
    font-size: 0.8rem;
  }
}
@media (max-width: 700px) {
  .scoreboard p span {
    width: 100%;
    font-size: 1.1rem;
    text-align: center;
  }
}
.scoreboard p:nth-child(1) {
  margin-left: 30px;
  width: 90%;
  background-color: #87dfe211;
  border-radius: 5px;
  padding: 2px 10px 8px 10px;
}
@media (max-width: 700px) {
  .scoreboard p:nth-child(1) {
    grid-column: 1/2;
    grid-row: 1/2;
    margin: 0;
  }
}
.scoreboard p:nth-child(1) span {
  color: #91da0a;
}
.scoreboard p:nth-child(2) {
  margin-left: 25px;
  width: 90%;
  justify-self: left;
  background-color: #87dfe211;
  border-radius: 5px;
  padding: 2px 10px 8px 10px;
}
@media (max-width: 700px) {
  .scoreboard p:nth-child(2) {
    grid-column: 2/3;
    grid-row: 1/2;
    margin: 0;
  }
}
.scoreboard p:nth-child(2) span {
  color: #da3012;
}
.scoreboard p:nth-child(3) {
  margin-left: 25px;
  justify-self: left;
  width: 90%;
  background-color: #87dfe211;
  border-radius: 5px;
  padding: 2px 10px 8px 10px;
}
@media (max-width: 700px) {
  .scoreboard p:nth-child(3) {
    grid-column: 1/2;
    margin: 0;
    grid-row: 2/3;
  }
}
.scoreboard p:nth-child(3) span {
  color: #093add;
}
.scoreboard p:nth-child(4) {
  margin-left: 25px;
  width: 90%;
  justify-self: left;
  background-color: #87dfe211;
  border-radius: 5px;
  padding: 2px 10px 8px 10px;
}
@media (max-width: 700px) {
  .scoreboard p:nth-child(4) {
    grid-column: 2/3;
    grid-row: 2/3;
    margin: 0;
  }
}
.scoreboard p:nth-child(4) span {
  color: #ebd40d;
}
.scoreboard p:nth-child(5) {
  margin-left: 5px;
  width: 90%;
  text-align: right;
  align-self: center;
  justify-self: right;
  background-color: #87dfe211;
  border-radius: 5px 0 0 5px;
  padding: 11px 10px 12px 10px;
}
@media (max-width: 700px) {
  .scoreboard p:nth-child(5) {
    grid-column: 3/4;
    grid-row: 1/span 2;
    margin: 0;
  }
}
.scoreboard img {
  height: 80%;
  min-height: 40px;
  justify-self: left;
  background: #d9feff65;
  box-shadow: 2px 2px 2px 1px #3a3a3a inset;
  border-radius: 0 5px 5px 0;
  padding: 1px;
}
@media (max-width: 700px) {
  .scoreboard img {
    grid-column: 4/5;
    grid-row: 1/span 2;
    margin: 0;
    max-height: 3rem;
  }
}
.scoreboard span {
  font-size: 2vw;
  font-stretch: condensed;
}

.containeranimation {
  display: flex;
  align-items: center;
  position: relative;
  flex-flow: column wrap;
  width: 100vw;
  height: 84vh;
  overflow: hidden;
  background-color: transparent;
  border: 2px solid whitesmoke;
  cursor: url("../icons/crosshair3.svg") 16 16, auto;
}
.containeranimation > div {
  position: absolute;
  border-radius: 50%;
  border: 1px solid #e7e7e700;
  background-color: #87dfe222;
  margin: 35px;
  transform-origin: center;
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
  transform: translateY(900px);
  top: 0;
  transition: top 0.8s linear;
  padding: 30px;
  box-shadow: -10px -10px 7px 25px #FFFFFF05 inset, -7px -1px 7px 5px #8f8f8f35 inset;
}
.containeranimation > div img {
  width: 100%;
  background-size: cover;
}

.gameOver {
  top: 0;
}

.explosion {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100px;
  height: 100px;
  background-color: transparent;
  top: 250px;
  opacity: 0;
  left: 400px;
  z-index: -1;
}
.explosion span {
  position: absolute;
  width: 0px;
  height: 20px;
  background: #FFFFFFcc;
  box-shadow: 1px 1px 80px 30px #f8edad;
  animation: smoke 0.4s linear infinite;
}
.explosion > div {
  position: relative;
  width: 6px;
  height: 6px;
  border-radius: 2px;
  animation-timing-function: ease-out;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  animation-name: shoot, fade;
}
.explosion > div:nth-child(1) {
  transform: translate(1vw, 5vh);
  background: #cde467;
  animation-duration: 1.24s;
  animation-delay: -0.806s;
}
.explosion > div:nth-child(2) {
  transform: translate(7vw, 14vh);
  background: #6ee467;
  animation-duration: 1.63s;
  animation-delay: -0.2608s;
}
.explosion > div:nth-child(3) {
  transform: translate(8vw, 9vh);
  background: #6ee467;
  animation-duration: 1.85s;
  animation-delay: -1.295s;
}
.explosion > div:nth-child(4) {
  transform: translate(2vw, 6vh);
  background: #67e470;
  animation-duration: 1.85s;
  animation-delay: -1.6095s;
}
.explosion > div:nth-child(5) {
  transform: translate(8vw, 14vh);
  background: #e4ac67;
  animation-duration: 1.56s;
  animation-delay: -0.5148s;
}
.explosion > div:nth-child(6) {
  transform: translate(13vw, 9vh);
  background: #e48b67;
  animation-duration: 1.71s;
  animation-delay: -1.2996s;
}
.explosion > div:nth-child(7) {
  transform: translate(2vw, 15vh);
  background: #e4b867;
  animation-duration: 1.66s;
  animation-delay: -0.6474s;
}
.explosion > div:nth-child(8) {
  transform: translate(1vw, 12vh);
  background: #e49567;
  animation-duration: 1.57s;
  animation-delay: -1.0519s;
}
.explosion > div:nth-child(9) {
  transform: translate(14vw, 11vh);
  background: #87e467;
  animation-duration: 1.35s;
  animation-delay: -0.5535s;
}
.explosion > div:nth-child(10) {
  transform: translate(1vw, 3vh);
  background: #e4da67;
  animation-duration: 1.17s;
  animation-delay: -0.5499s;
}
.explosion > div:nth-child(11) {
  transform: translate(13vw, 1vh);
  background: #d4e467;
  animation-duration: 1.91s;
  animation-delay: -1.8718s;
}
.explosion > div:nth-child(12) {
  transform: translate(5vw, 2vh);
  background: #67e4a0;
  animation-duration: 1.82s;
  animation-delay: -1.4924s;
}
.explosion > div:nth-child(13) {
  transform: translate(4vw, 2vh);
  background: #9de467;
  animation-duration: 1.44s;
  animation-delay: -1.152s;
}
.explosion > div:nth-child(14) {
  transform: translate(9vw, 1vh);
  background: #e4d467;
  animation-duration: 1.06s;
  animation-delay: -0.9222s;
}
.explosion > div:nth-child(15) {
  transform: translate(8vw, 6vh);
  background: #e4cf67;
  animation-duration: 1.26s;
  animation-delay: -0.9072s;
}
.explosion > div:nth-child(16) {
  transform: translate(15vw, 8vh);
  background: #cde467;
  animation-duration: 1.34s;
  animation-delay: -1.1792s;
}
.explosion > div:nth-child(17) {
  transform: translate(-8vw, 15vh);
  background: #e4c367;
  animation-duration: 1.51s;
  animation-delay: -0.1963s;
}
.explosion > div:nth-child(18) {
  transform: translate(-7vw, 5vh);
  background: #67e489;
  animation-duration: 1.42s;
  animation-delay: -1.3632s;
}
.explosion > div:nth-child(19) {
  transform: translate(-3vw, 11vh);
  background: #e4c767;
  animation-duration: 1.13s;
  animation-delay: -0.452s;
}
.explosion > div:nth-child(20) {
  transform: translate(-2vw, 3vh);
  background: #e47e67;
  animation-duration: 1.09s;
  animation-delay: -0.7412s;
}
.explosion > div:nth-child(21) {
  transform: translate(-3vw, 8vh);
  background: #99e467;
  animation-duration: 1.8s;
  animation-delay: -0.918s;
}
.explosion > div:nth-child(22) {
  transform: translate(-2vw, 12vh);
  background: #a2e467;
  animation-duration: 1.73s;
  animation-delay: -0.2422s;
}
.explosion > div:nth-child(23) {
  transform: translate(-13vw, 12vh);
  background: #e47467;
  animation-duration: 1.78s;
  animation-delay: -0.356s;
}
.explosion > div:nth-child(24) {
  transform: translate(-9vw, 8vh);
  background: #e4a867;
  animation-duration: 1.17s;
  animation-delay: -0.9594s;
}
.explosion > div:nth-child(25) {
  transform: translate(-13vw, 15vh);
  background: #e47467;
  animation-duration: 1.18s;
  animation-delay: -1.003s;
}
.explosion > div:nth-child(26) {
  transform: translate(-4vw, 6vh);
  background: #78e467;
  animation-duration: 1.31s;
  animation-delay: -1.1921s;
}
.explosion > div:nth-child(27) {
  transform: translate(-3vw, 11vh);
  background: #78e467;
  animation-duration: 1.48s;
  animation-delay: -0.0444s;
}
.explosion > div:nth-child(28) {
  transform: translate(-13vw, 8vh);
  background: #67e497;
  animation-duration: 1.85s;
  animation-delay: -0.592s;
}
.explosion > div:nth-child(29) {
  transform: translate(-2vw, 3vh);
  background: #b0e467;
  animation-duration: 1.79s;
  animation-delay: -0.0895s;
}
.explosion > div:nth-child(30) {
  transform: translate(-9vw, 5vh);
  background: #67e495;
  animation-duration: 1.74s;
  animation-delay: -0.5046s;
}
.explosion > div:nth-child(31) {
  transform: translate(-13vw, 9vh);
  background: #e4b067;
  animation-duration: 1.58s;
  animation-delay: -1.185s;
}
.explosion > div:nth-child(32) {
  transform: translate(11vw, -14vh);
  background: #84e467;
  animation-duration: 1.07s;
  animation-delay: -1.07s;
}
.explosion > div:nth-child(33) {
  transform: translate(9vw, -7vh);
  background: #e48267;
  animation-duration: 1.79s;
  animation-delay: -0.358s;
}
.explosion > div:nth-child(34) {
  transform: translate(1vw, -8vh);
  background: #c9e467;
  animation-duration: 1.9s;
  animation-delay: -1.672s;
}
.explosion > div:nth-child(35) {
  transform: translate(4vw, -5vh);
  background: #b8e467;
  animation-duration: 1.15s;
  animation-delay: -0.4485s;
}
.explosion > div:nth-child(36) {
  transform: translate(14vw, -14vh);
  background: #e4ac67;
  animation-duration: 1.86s;
  animation-delay: -0.5766s;
}
.explosion > div:nth-child(37) {
  transform: translate(3vw, -3vh);
  background: #e4b067;
  animation-duration: 1.15s;
  animation-delay: -0.9085s;
}
.explosion > div:nth-child(38) {
  transform: translate(4vw, -3vh);
  background: #87e467;
  animation-duration: 1.13s;
  animation-delay: -0.1243s;
}
.explosion > div:nth-child(39) {
  transform: translate(7vw, -3vh);
  background: #7ce467;
  animation-duration: 1.14s;
  animation-delay: -0.399s;
}
.explosion > div:nth-child(40) {
  transform: translate(12vw, -1vh);
  background: #e4bf67;
  animation-duration: 1.29s;
  animation-delay: -0.2967s;
}
.explosion > div:nth-child(41) {
  transform: translate(14vw, -14vh);
  background: #d4e467;
  animation-duration: 1.64s;
  animation-delay: -0.6888s;
}
.explosion > div:nth-child(42) {
  transform: translate(15vw, -1vh);
  background: #aee467;
  animation-duration: 1.43s;
  animation-delay: -0.0286s;
}
.explosion > div:nth-child(43) {
  transform: translate(10vw, -1vh);
  background: #95e467;
  animation-duration: 1.27s;
  animation-delay: -0.8382s;
}
.explosion > div:nth-child(44) {
  transform: translate(3vw, -12vh);
  background: #67e4a2;
  animation-duration: 1.04s;
  animation-delay: -0.8632s;
}
.explosion > div:nth-child(45) {
  transform: translate(9vw, -7vh);
  background: #e49b67;
  animation-duration: 1.09s;
  animation-delay: -0.9592s;
}
.explosion > div:nth-child(46) {
  transform: translate(5vw, -3vh);
  background: #67e487;
  animation-duration: 1.67s;
  animation-delay: -1.3694s;
}
.explosion > div:nth-child(47) {
  transform: translate(-15vw, -8vh);
  background: #bde467;
  animation-duration: 1.48s;
  animation-delay: -0.222s;
}
.explosion > div:nth-child(48) {
  transform: translate(-12vw, -14vh);
  background: #e4b667;
  animation-duration: 1.49s;
  animation-delay: -1.1026s;
}
.explosion > div:nth-child(49) {
  transform: translate(-12vw, -10vh);
  background: #67e469;
  animation-duration: 1.27s;
  animation-delay: -0.1651s;
}
.explosion > div:nth-child(50) {
  transform: translate(-6vw, -4vh);
  background: #67e46e;
  animation-duration: 1.29s;
  animation-delay: -1.29s;
}
.explosion > div:nth-child(51) {
  transform: translate(-6vw, -1vh);
  background: #e48467;
  animation-duration: 1.65s;
  animation-delay: -1.188s;
}
.explosion > div:nth-child(52) {
  transform: translate(-4vw, -13vh);
  background: #9de467;
  animation-duration: 1.78s;
  animation-delay: -0.5696s;
}
.explosion > div:nth-child(53) {
  transform: translate(-8vw, -5vh);
  background: #67e493;
  animation-duration: 1.91s;
  animation-delay: -0.0382s;
}
.explosion > div:nth-child(54) {
  transform: translate(-5vw, -12vh);
  background: #e48967;
  animation-duration: 1.24s;
  animation-delay: -0.6324s;
}
.explosion > div:nth-child(55) {
  transform: translate(-13vw, -1vh);
  background: #e4bb67;
  animation-duration: 1.67s;
  animation-delay: -1.6199s;
}
.explosion > div:nth-child(56) {
  transform: translate(-6vw, -9vh);
  background: #e49167;
  animation-duration: 1.45s;
  animation-delay: -0.986s;
}
.explosion > div:nth-child(57) {
  transform: translate(-3vw, -13vh);
  background: #e47e67;
  animation-duration: 1.06s;
  animation-delay: -0.3816s;
}
.explosion > div:nth-child(58) {
  transform: translate(-6vw, -3vh);
  background: #8fe467;
  animation-duration: 1.97s;
  animation-delay: -1.1032s;
}
.explosion > div:nth-child(59) {
  transform: translate(-7vw, -8vh);
  background: #d1e467;
  animation-duration: 1.93s;
  animation-delay: -0.7334s;
}
.explosion > div:nth-child(60) {
  transform: translate(-5vw, -8vh);
  background: #d1e467;
  animation-duration: 2s;
  animation-delay: -0.64s;
}

#mutedButton {
  position: relative;
  width: 65px;
  height: 30px;
  border-radius: 20px;
  background-color: #353535;
  background-image: url("../icons/up_volume.svg");
  background-repeat: no-repeat;
  background-size: 25%;
  background-position: left;
  background-position-x: 40px;
  box-shadow: 1px 1px 4px 3px black inset;
  transition: background 0.3s linear;
}
@media (max-width: 700px) {
  #mutedButton {
    grid-column: 5/6;
    grid-row: 1/span 2;
    align-self: center;
    justify-self: center;
  }
}
#mutedButton span {
  position: absolute;
  content: "";
  width: 30px;
  height: 30px;
  left: 0px;
  border-radius: 50%;
  border: 1px solid black;
  background: #db9005;
  box-shadow: 1px 1px 5px 2px #0e0e0e inset;
  transition-timing-function: linear;
  transition-duration: 0.3s;
  transition-property: transform, background;
  cursor: pointer;
}

.bulletMark {
  position: absolute;
  width: 40px;
  height: 40px;
  border-radius: 10px;
  background-repeat: no-repeat;
  background-size: contain;
  opacity: 0.9;
  cursor: url("../icons/crosshair3.svg") 16 16, auto;
  z-index: -2;
  animation: markBullet 5s linear 4s;
}

.gameovercard {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 8rem;
  background-color: #00000055;
  transform: translateX(-100%);
  border: 1px solid #fff;
  box-shadow: 0px 0px 25px #222;
  backdrop-filter: blur(3px);
  transition: transform 1.3s cubic-bezier(0.97, 0.15, 0.02, 1.45);
  cursor: url("../icons/crosshair3.svg") 16 16, auto;
}
.gameovercard__restart {
  position: absolute;
  bottom: -1.2rem;
  color: #efe1ff;
  text-decoration: none;
  align-self: flex-end;
  font-size: 1.2rem;
  background-color: #152233;
  border: 1px solid #FFFFFF45;
  padding: 0.5rem 1.3rem;
  border-radius: 1rem;
}
.gameovercard__restart:hover {
  background-color: #223650;
}
.gameovercard__letters > span {
  position: absolute;
  font-size: 7rem;
  top: 10%;
  text-align: center;
  font-weight: bold;
  background-image: linear-gradient(to left, #661725, #5d3a85, #a5531c, #286cc4, #12832e, #be950b);
  color: transparent;
  text-shadow: 1px 1px 5px #FFFFFF12;
  -webkit-background-clip: text;
  background-clip: text;
  background-size: 500%;
  animation-name: animationTextGameOver, colorText;
  animation-timing-function: ease-in-out;
  animation-duration: 1s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}
@media (min-width: 988px) and (max-width: 1376px) {
  .gameovercard__letters > span {
    font-size: 4rem;
  }
}
@media (min-width: 300px) and (max-width: 1375px) {
  .gameovercard__letters > span {
    font-size: 3.5rem;
  }
}
.gameovercard__letters > span:nth-child(1) {
  animation-delay: 0.5s;
  right: calc(75vw - 6vw);
}
@media (min-width: 300px) and (max-width: 600px) {
  .gameovercard__letters > span:nth-child(1) {
    right: calc(85vw - 8vw);
  }
}
.gameovercard__letters > span:nth-child(2) {
  animation-delay: 0.75s;
  right: calc(75vw - 12vw);
}
@media (min-width: 300px) and (max-width: 600px) {
  .gameovercard__letters > span:nth-child(2) {
    right: calc(85vw - 16vw);
  }
}
.gameovercard__letters > span:nth-child(3) {
  animation-delay: 1s;
  right: calc(74vw - 18vw);
}
@media (min-width: 300px) and (max-width: 600px) {
  .gameovercard__letters > span:nth-child(3) {
    right: calc(76vw - 18vw);
  }
}
.gameovercard__letters > span:nth-child(4) {
  animation-delay: 1.25s;
  right: calc(74vw - 24vw);
}
@media (min-width: 300px) and (max-width: 600px) {
  .gameovercard__letters > span:nth-child(4) {
    right: calc(76vw - 24vw);
  }
}
.gameovercard__letters > span:nth-child(5) {
  animation-delay: 1.5s;
  right: calc(70vw - 30vw);
}
@media (min-width: 300px) and (max-width: 600px) {
  .gameovercard__letters > span:nth-child(5) {
    right: calc(82vw - 45vw);
  }
}
.gameovercard__letters > span:nth-child(6) {
  animation-delay: 1.75s;
  right: calc(70vw - 36vw);
}
@media (min-width: 300px) and (max-width: 600px) {
  .gameovercard__letters > span:nth-child(6) {
    right: calc(82vw - 54vw);
  }
}
.gameovercard__letters > span:nth-child(7) {
  animation-delay: 2s;
  right: calc(70vw - 42vw);
}
@media (min-width: 300px) and (max-width: 600px) {
  .gameovercard__letters > span:nth-child(7) {
    right: calc(82vw - 63vw);
  }
}
.gameovercard__letters > span:nth-child(8) {
  animation-delay: 2.25s;
  right: calc(70vw - 48vw);
}
@media (min-width: 300px) and (max-width: 600px) {
  .gameovercard__letters > span:nth-child(8) {
    right: calc(82vw - 72vw);
  }
}

@keyframes animateSquares1 {
  0% {
    transform: rotateZ(0deg) translateY(1180px);
    /*box-shadow: 1px 1px 10px 7px #300dadaa;*/
  }
  100% {
    transform: rotateZ(0.03turn) translateY(-200px);
    /*box-shadow: 1px 1px 10px 7px #ee0404aa;*/
  }
}
@keyframes animateSquares2 {
  0% {
    transform: rotate(0deg) translateY(1180px);
    /*box-shadow: 1px 1px 10px 7px #0dad35aa;*/
  }
  100% {
    transform: rotate(-0.03turn) translateY(-200px);
  }
}
@keyframes animateSquares3 {
  0% {
    top: 1000px;
    transform: rotate(360deg);
    /*box-shadow: 1px 1px 10px 7px #0dad35aa;*/
  }
  50% {
    left: 800px;
    transform: rotate(360deg);
    /*box-shadow: 1px 1px 10px 7px #0dad35aa;*/
  }
  100% {
    top: -100px;
    transform: rotate(0deg);
    /*box-shadow: 1px 1px 10px 7px #e2ba07aa;*/
  }
}
@keyframes shoot {
  0% {
    transform: translate(-10%, -10%);
  }
}
@keyframes fade {
  to {
    opacity: 0;
  }
}
@keyframes smoke {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    transform: translateY(-100%);
  }
}
@keyframes markBullet {
  0% {
    opacity: 0.8;
  }
  100% {
    opacity: 0;
  }
}
@keyframes colorText {
  from {
    background-position: 0% 50%;
  }
  to {
    background-position: 100% 50%;
  }
}
@keyframes animationTextGameOver {
  from {
    transform: translateY(0px);
  }
  to {
    transform: translateY(-20px);
  }
}